Package org.snpeff

# Enum Class SnpEff.GeneDatabaseFormat

java.lang.Object
java.lang.Enum<SnpEff.GeneDatabaseFormat>
org.snpeff.SnpEff.GeneDatabaseFormat

All Implemented Interfaces:
  `Serializable`, `Comparable<SnpEff.GeneDatabaseFormat>`, `Constable`

Enclosing class:
  `SnpEff`

public static enum SnpEff.GeneDatabaseFormat extends Enum<SnpEff.GeneDatabaseFormat>
Available gene database formats

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BIOMART`
`EMBL`
`GENBANK`
`GFF2`
`GFF3`
`GTF22`
`KNOWN_GENES`
`REFSEQ`

## Method Summary

Modifier and Type
Method
Description
`static SnpEff.GeneDatabaseFormat`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SnpEff.GeneDatabaseFormat[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BIOMART

public static final SnpEff.GeneDatabaseFormat BIOMART

### GFF3

public static final SnpEff.GeneDatabaseFormat GFF3

### GFF2

public static final SnpEff.GeneDatabaseFormat GFF2

### GTF22

public static final SnpEff.GeneDatabaseFormat GTF22

### REFSEQ

public static final SnpEff.GeneDatabaseFormat REFSEQ

### KNOWN_GENES

public static final SnpEff.GeneDatabaseFormat KNOWN_GENES

### GENBANK

public static final SnpEff.GeneDatabaseFormat GENBANK

### EMBL

public static final SnpEff.GeneDatabaseFormat EMBL

## Method Details

### values

public static SnpEff.GeneDatabaseFormat[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SnpEff.GeneDatabaseFormat valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null